<?php

namespace App\Enums;

enum JenisPengaduan: string
{
    case Pribadi = 'Pribadi';
    case Sosial = 'Sosial';
    case Karier = 'Karier';
    case Belajar = 'Belajar';

    public function label(): string
    {
        return match ($this) {
            self::Pribadi => 'Pribadi',
            self::Sosial => 'Sosial',
            self::Karier => 'Karier',
            self::Belajar => 'Belajar',
        };
    }
}